Initialize OAuth Flow
post
/v1/graphs/{graph_id}/connections/oauth/initPart of Connections.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
connection_idrequired | string | Connection ID to link OAuth to |
redirect_urioptional | string | Override default redirect URI |
additional_paramsoptional | object | Provider-specific parameters |
Example request
curl
curl -X POST "https://api.robosystems.ai/v1/graphs/{graph_id}/connections/oauth/init" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"connection_id": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
auth_urloptional | string | URL to redirect the user to for authorization. Null for providers that authorize in an embedded widget (Plaid: see link_token). |
link_tokenoptional | string | Plaid only: the token that opens Plaid Link. Link's public_token completes the flow through the callback, as code. |
staterequired | string | OAuth state for security |
expires_atrequired | string (date-time) | When this OAuth request expires |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |